#!/usr/bin/env python
# -*- coding: utf-8 -*-
# This plugin was created by the GIMP plugin "GimpScripter..." i.e. plugin-gimpscripter.py

from gimpfu import *

def plugin_main(image, drawable, ):
  pdb.plug_in_colortoalpha( image, drawable, gimpcolor.RGB(1.0, 1.0, 1.0, 1.0), run_mode=RUN_NONINTERACTIVE)    # EDIT Background colour - this is White 
  pdb.plug_in_threshold_alpha( image, drawable, 1, run_mode=RUN_NONINTERACTIVE)
  pdb.gimp_image_select_item( image, 2, drawable)
  pdb.plug_in_sel2path_advanced( image, drawable, 0.50, 60.00, 4, 100.00, 0.40, 1, 10.00, 4, 0.33, 3, 2, TRUE, 0.010, 0.50, 0.01, 1.00, 0.10, 4, 0.03, 3)
  pdb.gimp_selection_none( image)

if __name__ == "__main__":

  from gimpfu import *  
  
  gettext.install("gimp20-python-non-interactive", gimp.locale_directory, unicode=True)
  
  register(
    "python-fu-alpha-to-path-noninteractive", 
    "Alpha to path noninteractive",
    "This plugin was created using 'GimpScripter...'",
    "MrQ",
    "GPL",
    "2014",
    "Alpha to path noninteractive",
    "RGB*, GRAY*", 
    [(PF_IMAGE, "image", "Input image", None), (PF_DRAWABLE, "drawable", "Input drawable", None)],
    [],
    plugin_main,
    menu="<Image>/Layer/Transparency/Modify", 
    domain=("gimp20-python", gimp.locale_directory))
 
    
  main()
